Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::SCVectorSimpleSubBlock Class Reference

The SCVectorSimpleSubBlock describes a subblock of a vector. More...

`#include <block.h>`

Inheritance diagram for sc::SCVectorSimpleSubBlock:

[legend]
Collaboration diagram for sc::SCVectorSimpleSubBlock:

[legend]
List of all members.

## Public Methods

| SCVectorSimpleSubBlock (int istart, int iend, int offset, double *data)
| SCVectorSimpleSubBlock (StateIn &)
virtual | ~SCVectorSimpleSubBlock ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | process (SCElementOp *)
void | process (SCElementOp2 *, SCMatrixBlock *)
void | process (SCElementOp3 *, SCMatrixBlock *, SCMatrixBlock *)

## Public Attributes

int | istart
int | iend
int | offset
double * | data

## Detailed Description

The SCVectorSimpleSubBlock describes a subblock of a vector.

The following bit of code illustrates the data layout: fill(double *vector, SCVectorSimpleSubBlock &b) { int i,offset=b.offset; for (i=b.istart; i<b.iend; i++,offset++) { vector[i] = b.data[offset]; } }

## Member Function Documentation

void sc::SCVectorSimpleSubBlock::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SCMatrixBlock.

The documentation for this class was generated from the following file:

- block.h